Skip to main content
Products

List Product Variations

Get a list of product variations. Please note that all expands will be applied automatically.

GET
/v1/products/variations

Fuzzy search available

Scope(s): APP::PRODUCTS::READ

expandstringquery

Usage: expand=*

Expand components, created, descriptions, descriptions.locale, primary_product_category, product, product.brand, product.channel, product.channel.organisation, tags, type

id[EQUALS]numberquery

Filter for the product variation id. (EQUALS)

id[IN]numberquery

Filter for the product variation id. (IN)

product.channel.id[IN]stringquery

Filter for the product channel. (IN)

product.channel.id[NOT_IN]stringquery

Filter for the product channel. (NOT_IN)

status[IN]anyquery

Filter for the status of the product. (IN)

status[NOT_IN]anyquery

Filter for the status of the product. (NOT_IN)

sku[EQUALS]stringquery

Filter for the product sku. (EQUALS)

sku[IN]stringquery

Filter for the product sku. (IN)

type.id[IN]stringquery

Filter for the product type. (IN)

is_primary[EQUALS]booleanquery

Filter for is this a primary product. (EQUALS)

sortingenum<string>query

Sort by sku, status, created, product.channel.name (prefix with '-' for descending order).

Available options: sku, -sku, status, -status, created, -created, product.channel.name, -product.channel.name

Response

200application/json

successful operation

componentsany

List of components.

createdobject

The created date.

descriptionsany

List of descriptions.

idnumber

The product variation id.

is_primaryboolean

Is this a primary product.

namestring

The product name.

primary_product_categoryobject

The primary product category.

productobject

Parent product.

skustring

The product SKU.

statusenum<string>

The status of the product.

Available options: active, draft, discontinued
tagsany

List of applied tags.

typeobject

The product type.